<?

/* ------------------------------------------------------------------- */
/*

*************************************************
*			UWAGA! SKRYPT NIE JEST DARMOWY.			*
*		DALSZE ROZPOWSZECHNIANIE BEZ ZGODY 			*
*			FIRMY ArtGlobal JEST ZABRONIONE.			*
*************************************************

*************************************************
*	WWW.ArtGlobal.PL		PRODUCENT OPROGRAMOWANIA	*
*	NAZWA SKRYPTU:		NIERUCHOMOSCI 6.0			*
*	WERSJA FINALNA:	04.10.2010						*
*	KONTAKT:				kontakt@artglobal.pl			*
*************************************************

Copyright (c) 2010 ArtGlobal. Wszelkie prawa zastrzeżone.

*/
/* ------------------------------------------------------------------- */

require_once('inc/config.inc.php');
require_once('class/register.class.php');
require_once('class/object.class.php');
require_once('class/mail.class.php');
require_once('class/mailer.class.php');
require_once('class/user.class.php');

$object = new obj;
include('inc/seo.inc.php');
$smarty -> register_function('nopl', 'parse');

$smarty -> assign('showPages', $object -> showPages( $mysql ));
$smarty -> assign('promoA', $object -> showPromoA( $mysql ));
$smarty -> assign('reklama', $object -> showReklamaA( $mysql ));
$smarty -> assign('showTypeLicz', $object -> showTypeLicz( $mysql ));
$smarty -> assign('showStateLicz', $object -> showStateLicz( $mysql ));
$smarty -> assign('showKategriaLicz', $object -> showKategriaLicz( $mysql ));
///////////////////
$login = new user;

if ( isset( $_POST['getLogin'] ) )
{
        ( $login -> isEmpty ( $_POST['login'] ) ? $smarty -> assign('login', $_POST['login']) : $error[] = 'Nie podano loginu!' );
        ( $login -> isEmpty ( $_POST['pass'] ) ? $smarty -> assign('pass', $_POST['pass']) : $error[] = 'Nie podano hasła!' );
        ( $login -> check_login ( $_POST['login'], $_POST['pass'], $mysql ) ? '' : $error[] = 'Dane są niepoprawne!' );
        
        if ( $error == null )
        {
                $session -> session_register ( $_POST['login'], $mysql );
                header('Location: panel.html');
        }
}
$smarty -> assign('error', $error);
///////////////////

					$sql = "SELECT a.*, b.*, c.*, d.*, e.*,  g.*, h.* FROM object AS a, type AS b, state AS c , region AS d, kategoria AS e,  rodzaj AS g, stan AS h WHERE a.obTypeId = b.typeId AND a.obStateId = c.stateId AND a.obRegion = d.regionId AND a.obKat = e.katId  AND a.obRodzaj = g.rodzajId AND a.obStan = h.stanId AND a.obPromo = '1' AND a.obConfirm = '1' AND a.obDateEnd > NOW() ORDER by  RAND() LIMIT 5";
								$q = $mysql -> q( $sql );
$smarty -> assign('nump', $mysql -> num( $sql ));


if ( isset( $_POST['register'] ) )
{

        $reg = new register;
        
        ( $reg -> isEmpty ( $_POST['login'] ) ? $smarty -> assign('login', $_POST['login']) : $error[] = 'Wpisz login!' );
        ( $reg -> walidLogin ( $_POST['login'], $mysql ) ? $smarty -> assign('login', $_POST['login']) : $error[] = 'Podany login już istnieje.!' );
        ( $reg -> isEmpty ( $_POST['email_1'] ) ? $smarty -> assign('email_1', $_POST['email_1']) : $error[] = 'Wpisz adres email!' );
        ( $reg -> emailSql ( $_POST['email_1'], $mysql ) ? $smarty -> assign('email_1', $_POST['email_1']) : $error[] = 'Podany adres email już istnieje.!' );
        ( $reg -> walidEmail ( $_POST['email_1'] ) ? $smarty -> assign('email_1', $_POST['email_1']) : $error[] = 'Wpisz poprawny adres email!' );
        ( $reg -> walidEmail2 ( $_POST['email_1'], $_POST['email_2'] ) ? $smarty -> assign('email_2', $_POST['email_2']) : $error[] = 'Adresy email nie są identyczne!' );
        ( $reg -> isEmpty ( $_POST['pass_1'] ) ? $smarty -> assign('pass_1', $_POST['pass_1']) : $error[] = 'Wpisz hasło!' );
        ( $reg -> walidPass ( $_POST['pass_1'], $_POST['pass_2'] ) ? $smarty -> assign('pass_2', $_POST['pass_2']) : $error[] = 'Hasła nie są identyczne!' );
        ( $reg -> isEmpty ( $_POST['city'] ) ? $smarty -> assign('city', $_POST['city']) : $error[] = 'Wpisz miejscowość!' );
        
        if ( $error == null )
        {
                $reg -> add ( html( $_POST['login'] ), $_POST['funkcja'], html( $_POST['pass_1'] ), html( $_POST['email_1'] ), html( $_POST['city'] ), $mysql );
                
                $mail = new sendMail;
                
                $temat = 'Potwierdzenie rejestracji [' . $cfg['wwwSubStr'] . ']';
                $confirm = $reg -> hash( html( $_POST['login'] ), html( $_POST['email_1'] ) );
                $tresc .= 'Dziękujemy za rejestrację w portalu ' . $cfg['wwwSubStr'] . '! Twoje konto zostało utworzone, zamin zaczniesz z niego korzystać musisz je potwierdzić.<br /><br />';
                $tresc .= 'Kliknij na poniższy link aby potwierdzić Twoją rejestrację.<br /><br />';
                $tresc .= '<a href="' . $cfg['www'] . 'confirm,' . $confirm . '.html"><b>' . $cfg['www'] . 'confirm,' . $confirm . '.html</b></a>';
                
                $mail -> mailer ( html( $_POST['email_1'] ), html( $_POST['login'] ), '', $temat, $tresc );
                
                $smarty -> assign('success', 'Rejestracja przebiegła pomyślnie! Odbierz email w celu potwierdzenia rejestracji. Dziękujemy!');
                $smarty -> assign('login', '');
                $smarty -> assign('funkcja', '');
                $smarty -> assign('email_1', '');
                $smarty -> assign('email_2', '');
                $smarty -> assign('pass_1', '');
                $smarty -> assign('pass_2', '');
                $smarty -> assign('city', '');
        }
}

$smarty -> assign('error', $error);

$smarty -> assign('title', 'Rejestracja');

$smarty -> display('rejestracja.tpl');
?>
